<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/input.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/input.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2001 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_INPUT__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_INPUT__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 
<a name="l00029"></a>00029 <span class="keyword">enum</span> celKeyState
<a name="l00030"></a>00030 {
<a name="l00031"></a>00031   CEL_KEY_STATE_UNUSED = -1,
<a name="l00032"></a>00032   CEL_KEY_STATE_UP,
<a name="l00033"></a>00033   CEL_KEY_STATE_DOWN,
<a name="l00034"></a>00034   CEL_KEY_STATE_REPEAT
<a name="l00035"></a>00035 };
<a name="l00036"></a>00036 
<a name="l00077"></a><a class="code" href="structiPcCommandInput.html">00077</a> <span class="keyword">struct </span><a class="code" href="structiPcCommandInput.html" title="Input propery class.">iPcCommandInput</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00078"></a>00078 {
<a name="l00079"></a>00079   SCF_INTERFACE (<a class="code" href="structiPcCommandInput.html" title="Input propery class.">iPcCommandInput</a>, 0, 2, 0);
<a name="l00080"></a>00080 
<a name="l00085"></a>00085   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#a10455cb15dd2925bb181019348789668" title="Activates this input property class.">Activate</a> (<span class="keywordtype">bool</span> activate=<span class="keyword">true</span>) = 0;
<a name="l00086"></a>00086 
<a name="l00093"></a>00093   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#a7d55029174ae48c5a2e894a20b13f2ce" title="Enable/disable sending trigger name.">SetSendTrigger</a> (<span class="keywordtype">bool</span> send) = 0;
<a name="l00094"></a>00094 
<a name="l00098"></a>00098   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCommandInput.html#a00f03e40f31ae1454801a5c554e26c42" title="Is send trigger enabled or disabled?">IsSendTriggerEnabled</a> () <span class="keyword">const</span> = 0;
<a name="l00099"></a>00099 
<a name="l00109"></a>00109   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#aac16ee5acf3f980493e598fc5961aec3" title="Enable/disable cooked mode.">SetCookedMode</a> (<span class="keywordtype">bool</span> cooked) = 0;
<a name="l00110"></a>00110 
<a name="l00115"></a>00115   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCommandInput.html#a1467dbf47394bc873e1308f76a1d6e68" title="Get whether or not this property class is in cooked mode.">GetCookedMode</a> () <span class="keyword">const</span> = 0;
<a name="l00116"></a>00116 
<a name="l00121"></a>00121   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#aaf5ba714f8082294c28ea9621fb5d34e" title="Send screen coordinates instead of coordinates between -1 and 1 for axis movement messages...">ScreenCoordinates</a> (<span class="keywordtype">bool</span> screen=<span class="keyword">true</span>) = 0;
<a name="l00122"></a>00122 
<a name="l00128"></a>00128   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcCommandInput.html#a3beb5793d0086d6cb141013a38882405" title="Convert a coordinate from screen-space to a value between -1 and 1.">ScreenToCentered</a> (<span class="keywordtype">float</span> screencoord, <span class="keywordtype">float</span> axis = 0) = 0;
<a name="l00129"></a>00129 
<a name="l00135"></a>00135   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcCommandInput.html#a5cf4e27b34bff47c64755eca16f981ee" title="Convert a coordinate from a value between -1 and 1 to screen-space.">CenteredToScreen</a> (<span class="keywordtype">float</span> centeredcoord, <span class="keywordtype">float</span> axis = 0) = 0;
<a name="l00136"></a>00136 
<a name="l00141"></a>00141   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCommandInput.html#ac8f1c49d631b6ae05d2b1905457360b8" title="Loads from a config file binding triggers(for example keys) to commands.">LoadConfig</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* prefix) = 0;
<a name="l00142"></a>00142 
<a name="l00147"></a>00147   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#a85859c7191ca2b7a0b0b150791533290" title="Saves to a config file binding triggers(for example keys) to commands.">SaveConfig</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* prefix) = 0;
<a name="l00148"></a>00148 
<a name="l00153"></a>00153   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCommandInput.html#aee8718df1f1f1f0f8275f1169c1bf3fb" title="Binds a trigger to a command.">Bind</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* triggername, <span class="keyword">const</span> <span class="keywordtype">char</span>* command) = 0;
<a name="l00154"></a>00154 
<a name="l00158"></a>00158   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiPcCommandInput.html#a2baa7df6e7cf5d936024fd98ea6bc9e6" title="Returns the command bound to the given key.">GetBind</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* triggername) <span class="keyword">const</span> = 0;
<a name="l00159"></a>00159 
<a name="l00164"></a>00164   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCommandInput.html#a8a7b076a802ce4f4d4c62723f67a3a00" title="Deletes a bind.">RemoveBind</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* triggername, <span class="keyword">const</span> <span class="keywordtype">char</span>* command) = 0;
<a name="l00165"></a>00165 
<a name="l00169"></a>00169   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#aeac12bb61088c945c3da288a8b6b77b8" title="Deletes all binds.">RemoveAllBinds</a> () = 0;
<a name="l00170"></a>00170 
<a name="l00174"></a>00174   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#ac5da33daa01a96427890f47328197cbd" title="Enable capturing of mouse events.">EnableMouseEvents</a> () = 0;
<a name="l00175"></a>00175 
<a name="l00179"></a>00179   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#a529f3acd97e9dabd5ad2ff1894476794" title="Disable capturing of mouse events.">DisableMouseEvents</a> () = 0;
<a name="l00180"></a>00180 
<a name="l00184"></a>00184   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#a0d26d82194a6b22f6d8501e4bca4b81b" title="Enable capturing of keyboard events.">EnableKeyboardEvents</a> () = 0;
<a name="l00185"></a>00185 
<a name="l00189"></a>00189   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#a23f84107de1912fefdf6b3872e824561" title="Disable capturing of keyboard events.">DisableKeyboardEvents</a> () = 0;
<a name="l00190"></a>00190 
<a name="l00194"></a>00194   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#a28abb5abba1ccce530540cb4e8056ea6" title="Enable capturing of joystick events.">EnableJoystickEvents</a> () = 0;
<a name="l00195"></a>00195 
<a name="l00199"></a>00199   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCommandInput.html#a08a39541961394f4d2bd78b74b458569" title="Disable capturing of joystick events.">DisableJoystickEvents</a> () = 0;
<a name="l00200"></a>00200 };
<a name="l00201"></a>00201 
<a name="l00202"></a>00202 <span class="preprocessor">#endif // __CEL_PF_INPUT__</span>
<a name="l00203"></a>00203 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
